libzypp 17.37.10

zyppng::PlaindirWorkflows Namespace Reference

## Functions
AsyncOpRef< expected< zypp::RepoStatus > > | repoStatus (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle)
expected< zypp::RepoStatus > | repoStatus (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | download (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)
expected< repo::SyncDownloadContextRef > | download (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Function Documentation

## ◆ repoStatus() [1/2]

AsyncOpRef< expected< zypp::RepoStatus > > zyppng::PlaindirWorkflows::repoStatus | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Definition at line 42 of file plaindir.cc.

## ◆ repoStatus() [2/2]

expected< zypp::RepoStatus > zyppng::PlaindirWorkflows::repoStatus | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle )

Definition at line 47 of file plaindir.cc.

## ◆ download() [1/2]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::PlaindirWorkflows::download | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 88 of file plaindir.cc.

## ◆ download() [2/2]

expected< repo::SyncDownloadContextRef > zyppng::PlaindirWorkflows::download | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 93 of file plaindir.cc.